# OpenLayers.Protocol.CSW.v2_0_2

CS-W (Catalogue services for the Web) version 2.0.2 protocol.

#### Inherits from

- OpenLayers.Protocol

Summary

OpenLayers.Protocol.CSW.v2_0_2 | CS-W (Catalogue services for the Web) version 2.0.2 protocol.
Properties |
formatOptions | {Object} Optional options for the format.
Constructor |
OpenLayers.Protocol.CSW.v2_0_2 | A class for CSW version 2.0.2 protocol management.
Functions |
destroy | Clean up the protocol.
read | Construct a request for reading new records from the Catalogue.
handleRead | Deal with response from the read request.
parseData | Read HTTP response body and return records

### Properties

### formatOptions

{Object} Optional options for the format. If a format is not provided, this property can be used to extend the default format options.

### Constructor

### OpenLayers.Protocol.CSW.v2_0_2

A class for CSW version 2.0.2 protocol management.

#### Parameters

options | {Object} Optional object whose properties will be set on the instance.

### Functions

### destroy

> destroy: function()

Clean up the protocol.

### read

> read: function( | options | )

Construct a request for reading new records from the Catalogue.

### handleRead

> handleRead: function( | response,
> | options | )

Deal with response from the read request.

#### Parameters

response | {OpenLayers.Protocol.Response} The response object to pass to the user callback. This response is given a code property, and optionally a data property. The latter represents the CSW records as returned by the call to the CSW format read method.
options | {Object} The user options passed to the read call.

### parseData

> parseData: function( | request | )

Read HTTP response body and return records

#### Parameters

request | {XMLHttpRequest} The request object

#### Returns

{Object} The CSW records as returned by the call to the format read method.

> destroy: function()

Clean up the protocol.

> read: function( | options | )

Construct a request for reading new records from the Catalogue.

> handleRead: function( | response,
> | options | )

Deal with response from the read request.

> parseData: function( | request | )

Read HTTP response body and return records
Abstract vector layer protocol class.
Protocols return Response objects to their users.
Close